#
# Microlog. Copyright (c) 2023 laffra, dcharbon. All rights reserved.
#

def showWhenRunningOnPyScript():
    import js # type: ignore
    import pyodide # type: ignore

    js.console.log("Microlog: We are running on PyScript")

    button = js.document.createElement('button')
    button.style.cssText = 'position: fixed; background-color: orange; z-index: 999; bottom:10px; right: 10px;'
    button.innerText = "Start Microlog"

    def toggleMicrolog(event):
        import microlog
        if button.innerText == "Start Microlog":
            button.innerText = "Stop Microlog"
            microlog.start("PyScript")
        else:
            button.innerText = "Start Microlog"
            microlog.stop()

    button.addEventListener("click", pyodide.ffi.create_proxy(toggleMicrolog))
    js.document.body.appendChild(button)

try:
    showWhenRunningOnPyScript()
except:
    pass # do not show microlog UI if not running in PyScript